Bug 1856687 - Remove short periodic uid range repairs
Summary: Remove short periodic uid range repairs
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-controller-manager
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.6.0
Assignee: Maciej Szulik
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-14 08:41 UTC by Maciej Szulik
Modified: 2020-09-09 05:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-31 13:59:30 UTC
Target Upstream Version:
maszulik: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-policy-controller pull 37 None closed Bug 1856687: Revert "Force frequent periodic uid range repairs" 2020-09-07 05:29:56 UTC

Description Maciej Szulik 2020-07-14 08:41:15 UTC
In https://github.com/openshift/cluster-policy-controller/pull/28 we've introduced a 5 minute delta which should be 8 hours. Make sure to update that before we ship 4.6.

Comment 1 Maciej Szulik 2020-08-21 14:10:13 UTC
Iā€™m adding UpcomingSprint, because I was occupied by fixing bugs with higher priority/severity, developing new features with higher priority, or developing new features to improve stability at a macro level. I will revisit this bug next sprint.

Comment 2 Michal Fojtik 2020-08-24 13:11:35 UTC
This bug hasn't had any activity in the last 30 days. Maybe the problem got resolved, was a duplicate of something else, or became less pressing for some reason - or maybe it's still relevant but just hasn't been looked at yet. As such, we're marking this bug as "LifecycleStale" and decreasing the severity/priority. If you have further information on the current state of the bug, please update it, otherwise this bug can be closed in about 7 days. The information can be, for example, that the problem still occurs, that you still want the feature, that more information is needed, or that the bug is (for whatever reason) no longer relevant.

Comment 3 Michal Fojtik 2020-08-31 13:59:30 UTC
This bug hasn't had any activity 7 days after it was marked as LifecycleStale, so we are closing this bug as WONTFIX. If you consider this bug still valuable, please reopen it or create new bug.

Comment 4 Maciej Szulik 2020-08-31 14:06:28 UTC
This has to happen, ideally before closing 4.6. Probably I'll do that within next week or two.

Comment 8 zhou ying 2020-09-09 05:55:23 UTC
Checked with payload : 4.6.0-0.nightly-2020-09-08-123737, we could see logs like : 

[root@dhcp-140-138 ~]# oc logs -f po/kube-controller-manager-ip-10-0-178-138.us-east-2.compute.internal -c cluster-policy-controller |grep "Adding next periodic repair on"
I0909 05:51:52.687059       1 namespace_scc_allocation_controller.go:244] Adding next periodic repair on 2020-09-09 13:51:52.687056532 +0000 UTC m=+28803.321270205

Will move to verified .


Note You need to log in before you can comment on or make changes to this bug.